Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 2885143009: Show feedback button on sad tab if sad tab has shown recently. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months ago by Will Harris (OOO)
Modified:
3 months ago
Reviewers:
Nico, sky
CC:
chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Show feedback button on sad tab if sad tab has shown recently. BUG=713828 TEST=manual, see bug. Review-Url: https://codereview.chromium.org/2885143009 Cr-Commit-Position: refs/heads/master@{#473204} Committed: https://chromium.googlesource.com/chromium/src/+/c9a40db46670d1c37111c0010d36fc290566eaf0

Patch Set 1 #

Total comments: 4

Patch Set 2 : make int64_t static #

Messages

Total messages: 27 (11 generated)
Will Harris (OOO)
PTAL
3 months ago (2017-05-18 00:57:48 UTC) #4
Will Harris (OOO)
and a question https://codereview.chromium.org/2885143009/diff/1/chrome/browser/ui/sad_tab.cc File chrome/browser/ui/sad_tab.cc (right): https://codereview.chromium.org/2885143009/diff/1/chrome/browser/ui/sad_tab.cc#newcode65 chrome/browser/ui/sad_tab.cc:65: static base::TimeTicks last_called = base::TimeTicks::UnixEpoch(); static ...
3 months ago (2017-05-18 00:58:08 UTC) #5
sky
+thakis for static initializer question. https://codereview.chromium.org/2885143009/diff/1/chrome/browser/ui/sad_tab.cc File chrome/browser/ui/sad_tab.cc (right): https://codereview.chromium.org/2885143009/diff/1/chrome/browser/ui/sad_tab.cc#newcode65 chrome/browser/ui/sad_tab.cc:65: static base::TimeTicks last_called = ...
3 months ago (2017-05-18 16:37:58 UTC) #6
Will Harris (OOO)
+thakis for realz
3 months ago (2017-05-18 16:46:21 UTC) #8
Nico
https://codereview.chromium.org/2885143009/diff/1/chrome/browser/ui/sad_tab.cc File chrome/browser/ui/sad_tab.cc (right): https://codereview.chromium.org/2885143009/diff/1/chrome/browser/ui/sad_tab.cc#newcode65 chrome/browser/ui/sad_tab.cc:65: static base::TimeTicks last_called = base::TimeTicks::UnixEpoch(); On 2017/05/18 16:37:58, sky ...
3 months ago (2017-05-18 16:54:58 UTC) #9
sky
But then we have a static destructor, right? Which the style guide says we shouldn't ...
3 months ago (2017-05-18 17:01:34 UTC) #10
Nico
Yes, if this class has a dtor, that's correct. CR_DEFINE_STATIC_LOCAL prevents that by going to ...
3 months ago (2017-05-18 17:41:59 UTC) #11
Will Harris (OOO)
On 2017/05/18 17:41:59, Nico wrote: > Yes, if this class has a dtor, that's correct. ...
3 months ago (2017-05-18 17:44:44 UTC) #12
sky
On 2017/05/18 17:44:44, Will Harris wrote: > On 2017/05/18 17:41:59, Nico wrote: > > Yes, ...
3 months ago (2017-05-18 19:40:55 UTC) #13
Will Harris (OOO)
On 2017/05/18 19:40:55, sky wrote: > On 2017/05/18 17:44:44, Will Harris wrote: > > On ...
3 months ago (2017-05-18 20:56:51 UTC) #14
sky
FromInternalValue? On Thu, May 18, 2017 at 1:56 PM, <wfh@chromium.org> wrote: > On 2017/05/18 19:40:55, ...
3 months ago (2017-05-18 22:47:06 UTC) #15
Will Harris (OOO)
On 2017/05/18 22:47:06, sky wrote: > FromInternalValue? ah doh good spot, I only found the ...
3 months ago (2017-05-18 22:50:17 UTC) #16
Will Harris (OOO)
PTAL https://codereview.chromium.org/2885143009/diff/1/chrome/browser/ui/sad_tab.cc File chrome/browser/ui/sad_tab.cc (right): https://codereview.chromium.org/2885143009/diff/1/chrome/browser/ui/sad_tab.cc#newcode65 chrome/browser/ui/sad_tab.cc:65: static base::TimeTicks last_called = base::TimeTicks::UnixEpoch(); On 2017/05/18 16:54:58, ...
3 months ago (2017-05-18 22:59:48 UTC) #17
sky
LGTM
3 months ago (2017-05-19 14:10:19 UTC) #22
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2885143009/20001
3 months ago (2017-05-19 15:16:09 UTC) #24
commit-bot: I haz the power
3 months ago (2017-05-19 15:54:20 UTC) #27
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/c9a40db46670d1c37111c0010d36...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b